#!/bin/bash
# vim:sw=8:noet

soc_init() {
	MEDIATABLE=msdos
	START_SECTOR=16 # MiB
	ROOTPART_NUM=1
	SYSCON=ttyS0,115200n8
}

soc_write_rootfs() {
	[ -z "${IMAGE_OUT-}" ] || prepare_image
	create_disklabel
	create_partition
	sync_partitions
	[ -z "${IMAGE_OUT-}" ] || finish_partitioning
	format_partition
	mount_partition
	write_rootfs
	setup_fstab
}

soc_write_bootloader() {
	[ -n "$TMPROOT" ] || mount_partition
	# Write U-Boot
	print_message "Searching U-Boot files for ${TARGET-}..."
	[ -d "${TMPROOT-}/usr/share/u-boot/${TARGET-}" ] ||
		fatal_error "U-Boot files for "${TARGET-}" were not found"
	print_done
	print_message "Writing u-boot-sunxi-with-spl.bin..."
	dd if="${TMPROOT-}/usr/share/u-boot/${TARGET-}/u-boot-sunxi-with-spl.bin" of="${MEDIA-}" bs=1024 seek=8 ||
	  fatal_error "failed to write U-Boot"
	sync
	print_done
}

soc_exit() {
	:
}
